Bug 132001 - FILEOPEN DOCX CRASH: File fails to open with frame in header and change tracked table
Summary: FILEOPEN DOCX CRASH: File fails to open with frame in header and change track...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Track-Changes
  Show dependency treegraph
 
Reported: 2020-04-09 13:55 UTC by NISZ LibreOffice Team
Modified: 2020-04-17 11:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["writerfilter::dmapper::DomainMapper_Impl::ExecuteFrameConversion()"]


Attachments
Example file from Word (31.19 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-04-09 13:55 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-04-09 13:55:20 UTC
Created attachment 159448 [details]
Example file from Word

Attached user made and minimized document started to freeze when opened in Writer. 
It has a frame with page number in the header and a table with tracked formatting and cell deletion changes. 
Removing any of the mentioned in Word makes the file open fine in Writer.

Steps to reproduce:
    1. Try to open attached document.

Actual results:
Writer stops responding.

Expected results:
File opened.

LibreOffice details:
Version: 7.0.0.0.alpha0+ (x86)
Build ID: b1da67699bd05b26ee11460347ca7077d366c2fc
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL

Bibisected using bibisect-win64-6.4 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=e8bae67b3dbcc90ace8264b6b1aefaf0ce459aba
author László Németh <nemeth@numbertext.org> Wed Jul 17 13:37:44 2019 +0200 committer László Németh <nemeth@numbertext.org> Thu Jul 18 14:42:07 2019 +0200

tdf#125894: DOCX: import tracked changes in frames
Comment 1 Commit Notification 2020-04-10 13:39:48 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1350832be533ce6627607b1aaabd2b3565e6e7b3

tdf#132001 DOCX import: fix crash: redline in floating table

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Xisco Faulí 2020-04-14 18:11:24 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 35fc5ef0a759884b24ed8b83cd05702a0fab64cc
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!!
Comment 3 Commit Notification 2020-04-14 18:13:16 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/5213c70a2d6cfd08750145e5b8152180ef7b5faa

tdf#132001 DOCX import: fix crash: redline in floating table

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.